<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Item extends Model
{
    use SoftDeletes;

    /**
     * Notes: 所属投票场次
     * @Author: <C.Jason>
     * @Date: 2020/5/1 23:52
     * @return BelongsTo
     */
    public function vote(): BelongsTo
    {
        return $this->belongsTo(Vote::class);
    }

    public function logs()
    {
        return $this->hasMany(ItemLog::class);
    }

}
